EDIT - feature request #7163

Restructure preferences
01/11/2018 11:33 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

The preferences need to be restructured. This is a ticket to collect all known issues:

1. The preference should not be on "general" level. We need a subarea for "search dialog" issues.
But we may decide these things when reordering preferences. So we can still close this ticket.

2. Some further minor issues in preferences: with using a checkbox it is unclear what the alternatives are (rank and name is one,
but what is the other alternative?). We should better use a dropdown for chooseing the sort strategy. Maybe in future we will
even have more strategies, so this will also help. If this is complicated the absolute minimum should be to have a tooltip that
says what the alternative is or to integrate the alternative in the label (... "name and rank (checked), name only (unchecked)"

Related issues:
Related to EDIT - feature request #3989: [DISCUSS] Allow defining the vocabul... Resolved

Related to EDIT - bug #8020: remaining issues from restructure preferences Duplicate

Associated revisions

Revision 2f9887be - 01/21/2019 11:56 AM - Katja Luther

ref #7163: restructure preferences and externalize strings in preferences

Revision a1577c8¢ - 01/21/2019 11:58 AM - Katja Luther
ref #7163: minor

Revision 473f7b01 - 01/21/2019 01:47 PM - Katja Luther

ref #7163: externalize strings in preferences

Revision f2a17eb8 - 01/29/2019 08:26 AM - Katja Luther

ref #7163: adapt labels and structure in local preferences

Revision ef85d9e0 - 01/31/2019 09:45 PM - Katja Luther
ref #7163: group Mobot preferences

Revision b5776641 - 02/04/2019 12:24 PM - Katja Luther
ref #7163: label issues

History

#1 - 02/21/2018 02:02 PM - Andreas Miiller
- Related to feature request #3989: [DISCUSS] Allow defining the vocabularies to be offered in the select dialogs added

#2 - 03/26/2018 02:24 PM - Katja Luther
- Subject changed from Reordering preferences to Restructure preferences

- Target version changed from Unassigned CDM tickets to Release 5.0

#3 - 05/17/2018 04:42 PM - Katja Luther

- Target version changed from Release 5.0 to Release 5.1
#4 - 06/28/2018 09:04 AM - Katja Luther

- Target version changed from Release 5.1 to Release 5.3

#5 - 08/22/2018 02:30 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#6 - 10/23/2018 10:39 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#7 - 01/25/2019 12:18 PM - Andreas Miller

- Status changed from New to In Progress

Some minor improvements:

#8 - 01/25/2019 12:18 PM - Andreas Miiller
- Priority changed from New to Highest
- % Done changed from 0 to 30

Should we set this to resolved afterwards and create a new ticket with remaining issues?

#9 - 01/25/2019 12:22 PM - Katja Luther

- Related to bug #8020: remaining issues from restructure preferences added

#10 - 01/25/2019 12:22 PM - Katja Luther

- Status changed from In Progress to Resolved
this is resolved, follow up ticket is: #8020

#11 - 01/27/2019 09:45 AM - Andreas Muller

most of the above are only label issues. Do we really need a follow up ticket for them?
#12 - 01/29/2019 09:29 AM - Katja Luther
Andreas Muller wrote:

External Services: Image Maximum Width/Heigth is not really belonging to external services but to Media View I think.

But this preference is only used for creating the openURL reference not for other media?

#13 - 01/29/2019 09:29 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#14 - 01/29/2019 05:23 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
Katja Luther wrote:

Andreas Muller wrote:

External Services: Image Maximum Width/Heigth is not really belonging to external services but to Media View | think.

But this preference is only used for creating the openURL reference not for other media?

OK, I didn't know that it is only for BHL (and that there is an image shown). But than we need indentation or some other kind of grouping (box, group
title, ...) to make clear that these are all Mobot/BHL service related preferences (or we have subpages for each services, but currenlty this is not yet
necessary | think). Also the label could be changed to "Reference image maximum width / height" and the textbox could be much smaller.

Also translation is missing.

#15 - 01/31/2019 05:11 PM - Katja Luther

Also translation is missing.

I thought this is difficult to translate because everyone uses the english terms ;-)
#16 - 01/31/2019 06:19 PM - Andreas Miiller
Katja Luther wrote:

Also translation is missing.

| thought this is difficult to translate because everyone uses the english terms ;-)

Fur maximale Bildbreite/-héhe. Das kann man Ubersetzen finde ich. Vielleicht nicht die Services und Access Points.

#17 - 01/31/2019 06:25 PM - Andreas Miiller

With the new implementation Mobot Open URL Service is and BHL images params are still not grouped together. BHL Reference Image is on the
same level as Mobot Open URL Service so first interpretation is tat it does not belong together.
As mentioned above we need identation (for the image parameters) or any other grouping which clearly puts together all 3 Mobot Open URL params.

Additional minor: Decide generally if we want have ":" at end of labels. "EDIT Map Service:" has it, the others don't. Is there a general rule? Also
"Access Point(:)" is inconsistent.

#18 - 01/31/2019 09:46 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
https://dev.e-taxonomy.eu/redmine/issues/8020

mobot preferences are grouped together now and removed al

#19 - 02/04/2019 11:09 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Ein paar weitere Labelfélle (minor)

Taxon Suche => Taxonsuche

Unter Namen kénnte "Name Details View" zu "Details View" verkirzt werden.

Bei der Termauswahl sollte immer das gleiche Label verwendet werden, z.B. "Auswahl der xxx". Derzeit steht da mal "Konfiguration der xxx" oder
"Waéhlen Sie xxx". "Konfiguration" finde ich grundsétzlich nicht gut. "Auswahl der xxx" und "Wahlen Sie " finde ich beides ok, es sollte aber einheitlich
sein.

AuBerdem stand "anzeigen" immer "zur Verfugung stehen" verwenden. Es handelt sich ja immer um Dropdowns, bei denen ausgewéhlt werden soll,
weniger um Anzeigen. Entsprechen im Englischen "Choose available (extension types)", wirde ich also kurz halten.

Im Englischen gibt es auch noch ein paar alte Konstrutkionen, z.B. bei Ranks die "property sheets". Die gibts schon lange nicht mehr.

Debug Einstellungen => Debugging (de + en)

General Database Preferences => General (en)! Wichtig, weil inhaltlich falsch, es geht ja um lokale Einstellungen

Bulk Editor: Fehlende Englische Ubersetzung von "Zeige Field Units in Listeneditor an"

#20 - 02/04/2019 11:10 AM - Andreas Miiller

- % Done changed from 30 to 80

After changing the above label issues we can close the ticket. | opened a new ticket with new issues #8058.

#21 - 02/04/2019 11:57 AM - Katja Luther

#22 - 02/04/2019 12:28 PM - Katja Luther
- Status changed from Feedback to Closed

| adapted all mentioned label issues and close this ticket.
https://dev.e-taxonomy.eu/redmine/issues/8058
